/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.portal.scripting.executor.groovy;

import com.liferay.portal.kernel.model.ListType;
import com.liferay.portal.kernel.service.ListTypeLocalServiceUtil;

/**
 * @author Michael C. Han
 */
class GroovyListTypeUtil {

	static Map listTypesmap = new HashMap<>();

	static List<ListType> getListTypes(String className) {
		if (!listTypesmap.containsKey(className)) {
			List<ListType> listTypes = ListTypeLocalServiceUtil.getListTypes(
				className)

			listTypesmap.put(className, listTypes)
		}

		return listTypesmap.get(className);
	}

	static int getListType(String className, String name) {
		int typeId = 0;

		List<ListType> listTypes = getListTypes(className);

		for (ListType listType : listTypes) {
			if (name.equalsIgnoreCase(listType.getName())) {
				typeId = listType.getListTypeId();

				break;
			}
		}

		return typeId;
	}

}